Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.xmlpad.action
Class ActionGroup

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--com.japisoft.xmlpad.action.ActionGroup

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class ActionGroup
extends java.util.Vector

A Group is a set of XMLAction. A group is managed by an ActionModel. A group has always a name.

Version:
  1.0
See Also:
  `ActionModel`, Serialized Form

Constructor Summary
`ActionGroup(java.lang.String name)`

Method Summary
`void` | `addAction(XMLAction a)` Add a new XML action
`XMLAction` | `getActionByName(java.lang.String name)`
`java.lang.String` | `getName()`
`void` | `removeAction(XMLAction a)` Remove a known XML action
`void` | `resetActionState(XMLEditor editor, XMLContainer container)` Updage action for this group for working on this editor and this container
`void` | `setName(java.lang.String name)` Set a name for this group

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### ActionGroup

    public ActionGroup(java.lang.String name)

Method Detail

### resetActionState

    public void resetActionState(XMLEditor editor,
                                 XMLContainer container)

  Updage action for this group for working on this editor and this container

### getActionByName

    public XMLAction getActionByName(java.lang.String name)

  Returns:
    a current XMLAction matching this name

### setName

    public void setName(java.lang.String name)

  Set a name for this group

### getName

    public java.lang.String getName()

  Returns:
    the name of this group

### addAction

    public void addAction(XMLAction a)

  Add a new XML action

### removeAction

    public void removeAction(XMLAction a)

  Remove a known XML action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD